/* header */
header {
  position: sticky;
  background-color: var(--white);
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
  top: 0;
  z-index: 10;
}

/* top bar */
.top-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

/* logo */
.logo {
  cursor: pointer;
  font-size: 1.5rem;
  color: var(--sunlife-rich-black);
}

/* hamburger */
.hamburger {
  width: 30px;
  height: 24px;
  display: none;
  flex-direction: column;
  justify-content: space-between;
  cursor: pointer;
}

.bar {
  width: 100%;
  height: 4px;
  background-color: var(--sunlife-dark);
  border-radius: 999px;
  transition: 0.3s ease;
}

/* hamburger active */
.hamburger.active .bar:nth-child(1) {
  transform: translateY(10px) rotate(45deg);
}

.hamburger.active .bar:nth-child(2) {
  opacity: 0;
}

.hamburger.active .bar:nth-child(3) {
  transform: translateY(-10px) rotate(-45deg);
}

/* nav */
nav {
  padding: 0 2rem 1rem;
}

nav ul {
  display: flex;
  justify-content: center;
  gap: 1.5rem;
  list-style: none;
}

/* links */
nav a {
  text-decoration: none;
  color: var(--text-primary);
  font-weight: bold;
  padding: 0.75rem 1rem;
  border-radius: 10px;
}

/* hover */
nav a:hover:not(.active) {
  background-color: #dbeafe;
}

/* active */
nav a.active {
  color: var(--white);
  display: inline-block;
  background-color: var(--sunlife-marigold);
  transition: transform 0.3s ease;
}

nav a.active:hover {
  transform: translateY(-2px);
}

/* phones */
@media screen and (max-width: 600px) {
  header {
    height: 70px;
    overflow: visible;
  }

  .logo {
    font-size: 0;
  }

  .logo::after {
    content: "UFA";
    font-size: 1.5rem;
    color: var(--sunlife-rich-black);
    cursor: pointer;
    font-family: "Poppins", sans-serif;
    font-weight: 700;
  }

  .top-bar {
    padding: 1rem 2rem;
  }

  .hamburger {
    display: flex;
  }

  nav {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: var(--white);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 9;
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-2px);
    transition: 0.3s ease;
    padding: 0 2rem;
    display: block;
  }

  nav.active {
    max-height: 500px;
    opacity: 1;
    transform: translateY(0);
    padding: 1rem 2rem;
  }

  nav ul {
    padding-bottom: 1rem;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
  }
}

/* tablets (hamburger only) */
@media screen and (max-width: 992px) {
  header {
    height: 70px;
    overflow: visible;
  }

  .top-bar {
    padding: 1rem 2rem;
  }

  .hamburger {
    display: flex;
  }

  nav {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background-color: var(--white);
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    z-index: 9;
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    transform: translateY(-2px);
    transition: 0.3s ease;
    padding: 0 2rem;
    display: block;
  }

  nav.active {
    max-height: 500px;
    opacity: 1;
    transform: translateY(0);
    padding: 1rem 2rem;
  }

  nav ul {
    padding-bottom: 1rem;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
  }
}

/* desktop */
@media screen and (min-width: 993px) {
  header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 70px;
    padding: 0 3rem;
  }

  .logo {
    font-size: 1.4rem;
  }

  .hamburger {
    display: none;
  }

  nav {
    position: static;
    padding: 0;
    max-height: none;
    opacity: 1;
    transform: none;
    background: none;
    box-shadow: none;
    overflow: visible;
  }

  nav ul {
    flex-direction: row;
    align-items: center;
  }

  nav ul a {
    font-size: 0.95rem;
  }
}
